Subject: Re: [CCAMP] IPR Disclosure: Huawei Technologies Co., Ltd's Statement about IPR related to draft-ietf-ccamp-rwa-info-13

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 25 Jan 2012 08:25:49 -0000

Lou and Deborah,

Thanks for this question.  The IESG takes the IETF's IPR rules very seriously and is very worried about any breach of the rules documented in BCP 79. We note that authors' attention is drawn to BCP 79 by the "Note Well" and the I-D boilerplate text.

While we would hope for self-correction by the individuals involved, the IESG is keen to empower working group chairs to take proportionate action against working group participants who flout the IETF IPR rules and so disrupt the smooth running of the working group. We would like the working group chairs to be able to select the appropriate actions since they are closest to the details of the issue, but we also acknowledge that this may be uncomfortable or difficult for the chairs and the responsible AD is available to guide or direct the action if necessary. 

Firstly, it is important that the working group be given every opportunity to examine the disclosed IPR and to determine whether they wish to develop an alternative approach that avoids the IPR. This is business as usual for the working group. I suggest you approach this as a consensus call with a fixed period and closed questions to which people are free to supply supporting arguments.

Secondly, the working group chairs, acting for the working group, need to decide what to do about the individuals who broke the IPR rules. There is a range of sanctions you can apply, and which you choose (zero, one, or more) will depend upon how disruptive the behavior was, and how clearly the individuals were in breach. Maybe the failure to comply is easily judged as an accident, or maybe the authors really should have realized what they needed to do. Perhaps the individuals have been speedy and humble in their apologies. You will be closest to understanding the details and best able to determine which sanction is most fitting.

Some of the sanctions available to you are:
- Request the IESG to initiate a posting rights (PR) action that bans
  the individual from posting to a mailing list (in this case CCAMP's)
  for a significant period of time or until it is revoked [RFC3683]
- Apply a PR action to the CCAMP list for a period of up to 30 days
  as described in [RFC2418] updated by [RFC3934].
- Remove the individuals as working group document editors on
  specific documents or across the whole working group.
- Move the individuals' names to the "Acknowledgements" section
   of the document with or without a note explaining why they are
   listed there and not in the "Authors' Addresses" section.
- Continue to refuse to accept the individuals as editors of any new
  working group documents.
- Announce to the working group the failure by the individuals
  ("name and shame") 
- Send an on-or-off-list warning that the individuals must raise
   their game or risk one of the other sanctions.
- Have a private discussion with the individual to understand
   what went wrong and how it can be prevented in the future.

You will want to be sure that the chosen sanctions match the gravity of the offence and that you apply your judgement equitably should similar situations arise in the future.

Please let me know if you would prefer me to offer stronger guidance or direct the action myself.

Cheers,
Adrian

> -----Original Message-----
> From: Lou Berger [mailto:[email-masked]]
> Sent: 17 January 2012 16:13
> To: Adrian Farrel
> Cc: IESG; CCAMP
> Subject: Fwd: IPR Disclosure: Huawei Technologies Co., Ltd's Statement about IPR
> related to draft-ietf-ccamp-rwa-info-13
> 
> Adrian, (IESG members,)
> 
> The CCAMP WG received the enclosed IPR statement on January 9, 2012.  It
> refers to a draft and patent applications that have shared authorship.
> The patent applications were filed in June and July of 2008.
> draft-ietf-ccamp-rwa-info-00 was published August 29, 2008, and was
> based on draft-bernstein-ccamp-wson-info which was first published
> October 30, 2007.
> 
> Given Sections 6.2.1 and 7 of RFC 3979, as well as the IESG page on
> Intellectual Property
> (http://trac.tools.ietf.org/group/iesg/trac/wiki/IntellectualProperty),
> we would like to ask for your guidance on the handling of the identified
> draft, as well as related drafts with the same authors, within the
> working group.  We, the CCAMP chairs, believe that the working group's
> handling of / response to this should be consistent with, and in the
> context of, an IETF-wide approach to such matters.
> 
> Here are some relevant links from the ccamp archive:
> A message sent to the WG on this disclosure and resulting responses:
>     http://www.ietf.org/mail-archive/web/ccamp/current/msg13034.html
> Publication of draft-ietf-ccamp-rwa-info-00:
>     http://www.ietf.org/mail-archive/web/ccamp/current/msg00453.html
> Poll on accepting individual draft as WG document:
>     http://www.ietf.org/mail-archive/web/ccamp/current/msg00417.html
>  &  http://www.ietf.org/mail-archive/web/ccamp/current/msg00355.html
> Individual publication of draft-bernstein-ccamp-wson-info-00:
>     http://www.ietf.org/mail-archive/web/ccamp/current/msg09597.html
> 
> Thank you,
> Lou and Deborah
> CCAMP WG Chairs
> 
> -------- Original Message --------
> Subject: IPR Disclosure: Huawei Technologies Co.,	Ltd's Statement about
> IPR related to draft-ietf-ccamp-rwa-info-13
> Date: Mon, 09 Jan 2012 08:42:21 -0800
> From: IETF Secretariat <[email-masked]>
> To: [email-masked], [email-masked], [email-masked],
> [email-masked],
> CC: [email-masked], [email-masked], [email-masked],
> [email-masked],	[email-masked], [email-masked]
> 
> 
> Dear Young Lee, Greg Bernstein, Dan Li, Wataru Imajuku:
> 
>  An IPR disclosure that pertains to your Internet-Draft entitled
> "Routing and
> Wavelength Assignment Information Model for Wavelength Switched Optical
> Networks" (draft-ietf-ccamp-rwa-info) was submitted to the IETF
> Secretariat on
> 2012-01-09 and has been posted on the "IETF Page of Intellectual
> Property Rights
> Disclosures" (https://datatracker.ietf.org/ipr/1662/). The title of the IPR
> disclosure is "Huawei Technologies Co.,Ltd's Statement about IPR related to
> draft-ietf-ccamp-rwa-info-13."");
> 
> The IETF Secretariat
> 
> 
>

---

From: Huawei danli <[email-masked]>
Date: Fri, 27 Jan 2012 01:55:42 +0000

Dear CCAMP co-chairs,

For the recent two IPR disclosures regarding the drafts in CCAMP, we are very sorry for the confusion. We immediately investigated our internal IPR disclosure process. These two IPR disclosures are late disclosures according to RFC3979. We found that there was a gap in the past between the individual and the company responsibility, and we are trying to fix our IPR disclosure process.
 
To show good faith in addressing past issues, Huawei will never assert these two patents (in draft-ietf-ccamp-rwa-info and RFC6344/draft-ietf-ccamp-gmpls-vcat-lcas) against any party. My colleague from our Legal Affair Department will update these two IPR disclosures to comfirm that Huawei will never assert these two patents to against any party.
 
We are also aware of other patents maybe related to some drafts such as RFC6073 and RFC6163, we are current investigating these cases. Once the case is confirmed that the drafts are related to some patents, then our IP Law team will work on disclosuring, and which will be disclosured or added as an amendment to the current disclosure, with the same non-assert terms.

We are very sorry for the problems this is causing, that we are working as best as we can to correct all the oversights, and that it will not happen again. 

We hope this statement can help you to handle this issue peacefully in CCAMP, as well as in IETF.

Best regards,

Dan Li

Huawei Technologies Co., Ltd.

________________________________________
发件人: [email-masked] [[email-masked]] 代表 Adrian Farrel [[email-masked]]
发送时间: 2012年1月25日 16:25
到: 'Lou Berger'
Cc: 'CCAMP'; 'IESG'
主题: Re: [CCAMP] IPR Disclosure: Huawei Technologies Co.,        Ltd's Statement about IPR related to draft-ietf-ccamp-rwa-info-13

Lou and Deborah,

Cheers,
Adrian

> draft-ietf-ccamp-rwa-info-13."");

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Lou Berger <[email-masked]>
Date: Fri, 27 Jan 2012 09:56:22 -0500

Dan,
	We appreciate you sending this information.  We will look forward to
seeing the formal response.

Much thanks,
Lou and Deborah

On 1/26/2012 8:55 PM, Huawei danli wrote:
> Dear CCAMP co-chairs,
> 
> For the recent two IPR disclosures regarding the drafts in CCAMP, we
> are very sorry for the confusion. We immediately investigated our
> internal IPR disclosure process. These two IPR disclosures are late
> disclosures according to RFC3979. We found that there was a gap in
> the past between the individual and the company responsibility, and
> we are trying to fix our IPR disclosure process.
> 
> To show good faith in addressing past issues, Huawei will never
> assert these two patents (in draft-ietf-ccamp-rwa-info and
> RFC6344/draft-ietf-ccamp-gmpls-vcat-lcas) against any party. My
> colleague from our Legal Affair Department will update these two IPR
> disclosures to comfirm that Huawei will never assert these two
> patents to against any party.
> 
> We are also aware of other patents maybe related to some drafts such
> as RFC6073 and RFC6163, we are current investigating these cases.
> Once the case is confirmed that the drafts are related to some
> patents, then our IP Law team will work on disclosuring, and which
> will be disclosured or added as an amendment to the current
> disclosure, with the same non-assert terms.
> 
> We are very sorry for the problems this is causing, that we are
> working as best as we can to correct all the oversights, and that it
> will not happen again.
>

---

From: Leeyoung <[email-masked]>
Date: Fri, 27 Jan 2012 17:45:49 +0000

Dear CCAMP co-chairs:

I want to echo the sentiments of my co-worker Dan Li's comment to the CCAMP list stated below. 
I and my co-authors are very sorry for the problems this is causing, and working as best as we can to correct all overisght, and that it will not happen again.

Best Regards,
Young Lee

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Huawei danli
Sent: Thursday, January 26, 2012 7:56 PM
To: [email-masked]; 'Lou Berger'; BRUNGARD, DEBORAH A (ATTSI)
Cc: 'CCAMP'; 'IESG'
Subject: [CCAMP] 答复: IPR Disclosure: Huawei Technologies Co., Ltd's Statement about IPR related to draft-ietf-ccamp-rwa-info-13

Dear CCAMP co-chairs,

 

Best regards,

Dan Li

Lou and Deborah,

Cheers,
Adrian